/* datepicker */
.ui-datepicker {
	width: 17em;
	padding: 15px;
	display: none;
	background: var(--body-color);
	border: 1px solid var(--primary-color);
	-webkit-user-select: none;
  	-moz-user-select: none;
  	user-select: none;
  	left: 0 !important;
    top: auto !important;
    margin-top: 0;
    opacity: 0;
    visibility: hidden;
    animation: visibleScale .2s forwards ease;
    z-index: 1000 !important;
}
.ui-datepicker .ui-datepicker-header {
	position: relative;
	padding: .2em 0;
}
.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
	position: absolute;
	width: 1.8em;
	height: 1.8em;
	cursor: pointer;
}
#page .ui-datepicker .ui-datepicker-prev,
#page .ui-datepicker .ui-datepicker-next {
	color: var(--primary-color);
}
.ui-datepicker .ui-datepicker-prev:hover span:before,
.ui-datepicker .ui-datepicker-next:hover span:before {
	transform: scale(1.15);
}
.ui-datepicker .ui-state-disabled:hover span:before {
	transform: scale(1);
}
.ui-datepicker .ui-datepicker-prev-hover,
.ui-datepicker .ui-datepicker-next-hover {}
.ui-datepicker .ui-datepicker-prev {
	left: 0;
}
.ui-datepicker .ui-datepicker-next {
	right: 0;
}
.ui-datepicker .ui-datepicker-prev-hover {}
.ui-datepicker .ui-datepicker-next-hover {}
.ui-datepicker .ui-datepicker-prev span,
.ui-datepicker .ui-datepicker-next span {
	height: 100%;
    display: flex;
}
.ui-datepicker .ui-datepicker-prev span:before,
.ui-datepicker .ui-datepicker-next span:before {
	font-family: 'fontello';
	content: attr(data-icon);
	speak: none;
	font-weight: normal;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	content: "\e92b";
	font-size: 16px;
	float: left;
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    font-weight: normal;
    align-items: center;
    justify-content: center;
    transform: scale(1);
    transition: color ease .2s,opacity ease .2s,background ease .2s,transform ease .2s;
}
.ui-datepicker .ui-datepicker-next span:before {
	content: "\e92e";
}
.ui-datepicker .ui-datepicker-title {
	margin: 0 2.3em;
	text-align: center;
}
.ui-datepicker .ui-datepicker-title select {
	font-size: 1em;
	margin: 1px 0;
}
.ui-datepicker select.ui-datepicker-month,
.ui-datepicker select.ui-datepicker-year {
	width: 45%;
}
.ui-datepicker table {
	width: 100%;
	border-collapse: collapse;
	margin: 0 0 .4em;
	border: none;
}
.ui-datepicker th {
	padding: .7em .3em;
	text-align: center;
	border: 0;
	width: 1.7rem;
	pointer-events: none;
}
.ui-datepicker td {
	border: 0;
	padding: 1px;
}
.ui-datepicker td span,
.ui-datepicker td a {
	display: block;
	padding: .2em;
	text-align: center;
	text-decoration: none;
	color: var(--primary-color);
}
.ui-datepicker a,
.ui-datepicker a:hover,
.ui-datepicker a:active {
	box-shadow: none;
}
.ui-datepicker .ui-datepicker-today a,
.ui-datepicker td a:hover {
	background: var(--secondary-color);
	color: var(--primary-color);
}
.ui-datepicker .ui-state-disabled span {
	color: var(--secondary-color);
	cursor: default;
	text-decoration: line-through;
}
.ui-datepicker .ui-datepicker-other-month span,
.ui-datepicker .ui-datepicker-other-month a {
	color: var(--secondary-color);
}
.ui-datepicker .ui-state-disabled.ui-datepicker-other-month span {
	color: var(--third-color);
}
.ui-datepicker .ui-datepicker-buttonpane {
	background-image: none;
	margin: .7em 0 0 0;
	padding: 0 .2em;
	border-left: 0;
	border-right: 0;
	border-bottom: 0;
}
.ui-datepicker .ui-datepicker-buttonpane button {
	float: right;
	margin: .5em .2em .4em;
	cursor: pointer;
	padding: .2em .6em .3em .6em;
	width: auto;
	overflow: visible;
}
.ui-datepicker .ui-datepicker-buttonpane button.ui-datepicker-current {
	float: left;
}
.datepicker-wrapper {
	display: inline-block;
    width: 100%;
    position: relative;
}
.datepicker-icon {
	position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 15px;
    z-index: 1000;
}
.datepicker-icon:after {
	font-family: 'fontello';
    content: attr(data-icon);
    speak: none;
    font-weight: 400;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    content: "\E886";
    font-size: 12px;
    float: left;
    display: inline-block;
}